Single Payout List
curl --request GET \
--url https://nini.monieswitch.com/payout/single \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/payout/single"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/payout/single', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"transactions": [
{
"id": "d59f2712-af22-4688-b1dd-28fb9247c435",
"vat": 0,
"type": "DEBIT",
"amount": 300,
"status": "SUCCESS",
"charges": 20,
"reference": "rxX1EL7jfsqjxiSOv3RE4vZ6VF8S3uZqioom",
"sessionId": "999270240702083018639691105708",
"amountProcessed": 320,
"createdAt": "2024-07-02T07:30:17.407Z",
"narration": "Testing schedule transaction",
"recipientBankCode": "000023",
"recipientBankName": "PROVIDUS BANK",
"recipientAccountName": "SIMI MICHELLE",
"originatorAccountName": "Henry Balo",
"recipientAccountNumber": "2394934324",
"originatorAccountNumber": "4443355297"
},
{
"id": "53fdb607-8def-4cff-b07c-24d196251564",
"vat": 0,
"type": "DEBIT",
"amount": 300,
"status": "SUCCESS",
"charges": 20,
"reference": "OSWuZ68QHgmC3uJxZgFQ0L0CiF39htBQbBAe",
"sessionId": "999270240702082520916534863090",
"amountProcessed": 320,
"createdAt": "2024-07-02T07:25:18.994Z",
"narration": "Testing schedule transaction",
"recipientBankCode": "000023",
"recipientBankName": "PROVIDUS BANK",
"recipientAccountName": "SIMI MICHELLE",
"originatorAccountName": "Henry Balo",
"recipientAccountNumber": "2394934324",
"originatorAccountNumber": "4443355297"
},
{
"id": "27a1d2cb-8ef1-4f0f-88fb-e1856144e9b6",
"vat": 0,
"type": "DEBIT",
"amount": 500,
"status": "SUCCESS",
"charges": 20,
"reference": "U2FT1KuqMDBZ3dewHsW2NdHn5tGRzvIlsC5T",
"sessionId": "999270240702074352650088859569",
"amountProcessed": 520,
"createdAt": "2024-07-02T06:43:51.006Z",
"narration": "Free money testing 02",
"recipientBankCode": "000023",
"recipientBankName": "PROVIDUS BANK",
"recipientAccountName": "SIMI MICHELLE",
"originatorAccountName": "Henry Balo",
"recipientAccountNumber": "2394934324",
"originatorAccountNumber": "4443355297"
},
{
"id": "c470056e-5b5b-444b-9356-ef43c3aee908",
"vat": 0,
"type": "DEBIT",
"amount": 500,
"status": "SUCCESS",
"charges": 20,
"reference": "8Nh1LMRbDOCX6CJTRR6xvIqHP6Es68uhSPIr",
"sessionId": "999270240701002316451731000208",
"amountProcessed": 520,
"createdAt": "2024-06-30T23:23:15.341Z",
"narration": "Free money testing",
"saveBeneficiary": false,
"recipientBankCode": "000023",
"recipientBankName": "PROVIDUS BANK",
"recipientAccountName": "SIMI MICHELLE",
"originatorAccountName": "Henry Balo",
"recipientAccountNumber": "2394934324",
"originatorAccountNumber": "4443355297"
}
],
"page": 1,
"perpage": 20,
"totalRecords": 4,
"totalPages": 1
}
}Payout
Single Payout List
GET
/
payout
/
single
Single Payout List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
SUCCESS, FAILED , PENDING
Optional. Search wallet payouts
⌘I